<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Исходный файл /home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/src/GeneralWindow.qml</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">GeneralWindow.qml</div>  </div>
</div><!--header-->
<div class="contents">
<a href="GeneralWindow_8qml.html">См. документацию.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; </div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="keyword">import</span> QtQuick 2.12</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;import QtQuick.Controls 2.12</div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;import QtQuick.Window 2.12</div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;import QtGraphicalEffects 1.0</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;import QtQuick.Dialogs 1.3</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;import QtQuick.Layouts 1.12</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;import QtQuick.Controls.Material 2.12</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;import QtQuick.Controls.Universal 2.12</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160; </div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;ApplicationWindow {</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    id: generalWindow</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160; </div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    width: Screen.width * 0.79</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    height: Screen.height * 0.63</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160; </div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    flags: Qt.FramelessWindowHint | Qt.Window</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160; </div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    objectName: <span class="stringliteral">&quot;generalWindow&quot;</span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160; </div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;    minimumWidth: Screen.width * 0.41</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    minimumHeight: Screen.height * 0.5</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160; </div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    visible: <span class="keyword">true</span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160; </div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <a class="code" href="classResizeArea.html">ResizeArea</a>{</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;        anchors.fill: parent</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;        window_id: generalWindow</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    }</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160; </div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    Connections {</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;        target: mainWindow</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160; </div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;        onShowImageSelectWindow: {</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;            <span class="comment">//requestActivate() // передаем управление окну выбора персонажа</span></div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160; </div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160; </div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;            stackView.replace(windowref.get(2).source)</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;            requestActivate()</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;        }</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160; </div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;        onShowCommandWindow: {</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160; </div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;            stackView.replace(windowref.get(1).source)</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;            requestActivate()</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;        }</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;        onShowReminderWindow: {</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;            stackView.replace(windowref.get(3).source)</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;            requestActivate()</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;        }</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;        onShowNodesWindow: {</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;            stackView.replace(windowref.get(4).source)</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;            requestActivate()</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;        }</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;        onShowSettingsWindow: {</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;            stackView.replace(windowref.get(5).source)</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;            requestActivate()</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;        }</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160; </div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;    }</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160; </div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160; </div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160; </div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;    Shortcut {</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;        sequences: [<span class="stringliteral">&quot;Esc&quot;</span>, <span class="stringliteral">&quot;Back&quot;</span>]</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;        enabled: stackView.depth &gt; 1</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;        onActivated: navigateBackAction.trigger()</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;    }</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160; </div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;    Shortcut {</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;        sequences: [<span class="stringliteral">&quot;Shift+Tab&quot;</span>]</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;        enabled: <span class="keyword">true</span></div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;        onActivated: navigateBackAction.trigger()</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;    }</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160; </div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;    Action {</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;        id: navigateBackAction</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;        <span class="comment">//  icon.source: &quot;resources/img/trayicon.png&quot; //&quot;resources/icons/20x20@3/&quot; + ( stackView.depth &gt; 1 ? &quot;back&quot; : &quot;drawer&quot;) + &quot;.png&quot;</span></div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;        onTriggered: {</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;            <span class="keywordflow">if</span> (stackView.depth &gt; 1) {</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;                <span class="comment">//stackView.pop()</span></div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;                drawer.close()</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;                listView.currentIndex = -1</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;                <span class="comment">//console.log(&quot;pop&quot;,stackView.depth)</span></div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;            } <span class="keywordflow">else</span> {</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;                drawer.open()</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;                <span class="comment">//console.log(&quot;drawer&quot;,stackView.depth)</span></div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;            }</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;        }</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;    }</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;    <a class="code" href="classCustomSystemPanel.html">CustomSystemPanel</a>{</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;        id: csp</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;        anchors.top: parent.top</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;        anchors.left: parent.left</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;        anchors.right: parent.right</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;        window_id: generalWindow</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160; </div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160; </div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;        ToolButton {</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;            action: navigateBackAction</div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;            anchors.top: parent.top</div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;            anchors.left: parent.left</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;            anchors.bottom: parent.bottom</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;            background: Image {</div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;                id: logo_img</div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;                source: <span class="stringliteral">&quot;/resources/img/logo.png&quot;</span></div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;                anchors.top: parent.top</div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;                anchors.left: parent.left</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;                anchors.bottom: parent.bottom</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;                <span class="comment">//anchors.topMargin: 5</span></div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;                <span class="comment">//anchors.bottomMargin: 5</span></div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;                <span class="comment">//anchors.leftMargin: 5</span></div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;                width: 80</div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;            }</div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;        }</div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;    }</div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160; </div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;    Drawer {</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;        id: drawer</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;        width: Math.min(generalWindow.width, generalWindow.height) / 3 * 2</div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;        height: generalWindow.height</div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160; </div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;        clip: <span class="keyword">true</span></div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;        interactive: stackView.depth === 1</div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160; </div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;        ListView {</div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;            id: listView</div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160; </div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;            focus: <span class="keyword">true</span></div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;            currentIndex: -1</div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;            anchors.fill: parent</div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;            anchors.top: parent.bottom</div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;            delegate: ItemDelegate {</div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;                width: parent.width</div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;                text: model.title</div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;                highlighted: ListView.isCurrentItem</div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;                onClicked: {</div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;                    listView.currentIndex = index</div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;                    <span class="keywordflow">if</span> (model.title === <span class="stringliteral">&quot;Home&quot;</span>)</div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;                        stackView.replace(initItem)</div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;                    <span class="keywordflow">else</span> <span class="keywordflow">if</span> (model.title === <span class="stringliteral">&quot;Close&quot;</span>)</div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;                        generalWindow.close()</div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;                    <span class="keywordflow">else</span></div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;                        stackView.replace(model.source)</div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;                    drawer.close()</div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;                }</div>
<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;            }</div>
<div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160; </div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;            model: ListModel {</div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;                id: windowref</div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;                ListElement { title: <span class="stringliteral">&quot;Home&quot;</span>; source: <span class="keyword">null</span> }</div>
<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;                ListElement { title: <span class="stringliteral">&quot;Command window&quot;</span>; source: <span class="stringliteral">&quot;qrc:/CommandWindow.qml&quot;</span> }</div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;                ListElement { title: <span class="stringliteral">&quot;Characters window&quot;</span>; source: <span class="stringliteral">&quot;qrc:/ImageSelectionMenu.qml&quot;</span> }</div>
<div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;                ListElement { title: <span class="stringliteral">&quot;Reminders window&quot;</span>; source: <span class="stringliteral">&quot;qrc:/ReminderWindow.qml&quot;</span> }</div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;                ListElement { title: <span class="stringliteral">&quot;Nodes window&quot;</span>; source: <span class="stringliteral">&quot;qrc:/NodesWindow.qml&quot;</span> }</div>
<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;                ListElement { title: <span class="stringliteral">&quot;Settings&quot;</span>; source: <span class="stringliteral">&quot;qrc:/SettingsWindow.qml&quot;</span> }</div>
<div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;                ListElement { title: <span class="stringliteral">&quot;Close&quot;</span>; source: <span class="stringliteral">&quot;&quot;</span> }</div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160; </div>
<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;            }</div>
<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160; </div>
<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;            ScrollIndicator.vertical: ScrollIndicator { }</div>
<div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;        }</div>
<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;    }</div>
<div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160; </div>
<div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;    StackView {</div>
<div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;        id: stackView</div>
<div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160; </div>
<div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;        anchors.right: csp.right</div>
<div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;        anchors.left: csp.left</div>
<div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;        anchors.bottom: parent.bottom</div>
<div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;        anchors.top: csp.bottom</div>
<div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;        z: 1</div>
<div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;        initialItem: initItem</div>
<div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160; </div>
<div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;    }</div>
<div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160; </div>
<div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;    Component {</div>
<div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;        id: initItem</div>
<div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160; </div>
<div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;        Pane {</div>
<div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;            id: pane</div>
<div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;            <span class="keyword">property</span> <span class="keywordtype">string</span> tColor: style.getTextColor()</div>
<div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;            background: LinearGradient {</div>
<div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;                id: lg</div>
<div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;                anchors.fill: parent</div>
<div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;                anchors.topMargin: 0</div>
<div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;                start: Qt.point(0,0)</div>
<div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;                end: Qt.point(parent.width, parent.height)</div>
<div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160; </div>
<div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;                gradient: style.getBackgroundGradient()</div>
<div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;            }</div>
<div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;            Image {</div>
<div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;                id: logo</div>
<div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;                width: pane.availableWidth / 2</div>
<div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;                height: pane.availableHeight / 2</div>
<div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;                anchors.centerIn: parent</div>
<div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;                anchors.verticalCenterOffset: -50</div>
<div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;                fillMode: Image.PreserveAspectFit</div>
<div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;                source: <span class="stringliteral">&quot;/resources/img/trayicon.png&quot;</span></div>
<div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;            }</div>
<div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160; </div>
<div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;            Label {</div>
<div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;                text: <span class="stringliteral">&quot;There is a menu on the left, you can open it and choose what you need. I know it.&quot;</span></div>
<div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;                anchors.margins: 20</div>
<div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;                anchors.top: logo.bottom</div>
<div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;                anchors.left: parent.left</div>
<div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;                anchors.right: parent.right</div>
<div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;                horizontalAlignment: Label.AlignHCenter</div>
<div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;                verticalAlignment: Label.AlignVCenter</div>
<div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;                wrapMode: Label.Wrap</div>
<div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;                color: tColor</div>
<div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;            }</div>
<div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160; </div>
<div class="line"><a name="l00224"></a><span class="lineno">  224</span>&#160;        }</div>
<div class="line"><a name="l00225"></a><span class="lineno">  225</span>&#160; </div>
<div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;    }</div>
<div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160; </div>
<div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160;    <a class="code" href="classStyle.html">Style</a> {</div>
<div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;        id: style</div>
<div class="line"><a name="l00230"></a><span class="lineno">  230</span>&#160;    }</div>
<div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160;}</div>
<div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160; </div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="aclassCustomSystemPanel_html"><div class="ttname"><a href="classCustomSystemPanel.html">CustomSystemPanel</a></div><div class="ttdoc">Прямоугольнк - верхняя панель приложения</div><div class="ttdef"><b>Definition:</b> <a href="CustomSystemPanel_8qml_source.html#l00015">CustomSystemPanel.qml:15</a></div></div>
<div class="ttc" id="aclassResizeArea_html"><div class="ttname"><a href="classResizeArea.html">ResizeArea</a></div><div class="ttdoc">Группа областей мыши для изменения положения и размера окна</div><div class="ttdef"><b>Definition:</b> <a href="ResizeArea_8qml_source.html#l00011">ResizeArea.qml:11</a></div></div>
<div class="ttc" id="aclassStyle_html"><div class="ttname"><a href="classStyle.html">Style</a></div><div class="ttdoc">Стили проекта</div><div class="ttdef"><b>Definition:</b> <a href="Style_8qml_source.html#l00011">Style.qml:11</a></div></div>
<div class="ttc" id="aclassGeneralWindow_html"><div class="ttname"><a href="classGeneralWindow.html">GeneralWindow</a></div><div class="ttdoc">Окно, имеющее начальную страницу и меню с возможностью загрузки страниц</div><div class="ttdef"><b>Definition:</b> <a href="GeneralWindow_8qml_source.html#l00019">GeneralWindow.qml:19</a></div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
